Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.http11
Class InternalNioOutputBuffer

    java.lang.Object
      org.apache.coyote.http11.AbstractOutputBuffer<NioChannel>
          org.apache.coyote.http11.InternalNioOutputBuffer

All Implemented Interfaces:
  OutputBuffer

    public class InternalNioOutputBuffer

extends AbstractOutputBuffer<NioChannel>

Output buffer.

Author:
  Remy Maucherat, Filip Hanik

Nested Class Summary
`protected class` | `InternalNioOutputBuffer.SocketOutputBuffer` This class is an output buffer which will write data to an output stream.

Field Summary

Fields inherited from class org.apache.coyote.http11.AbstractOutputBuffer
`activeFilters, buf, byteCount, committed, filterLibrary, finished, lastActiveFilter, outputStreamOutputBuffer, pos, response, sm`

Constructor Summary
`InternalNioOutputBuffer(Response response, int headerBufferSize)` Default constructor.

Method Summary
`protected void` | `commit()` Commit the response.
`void` | `endRequest()` End request.
`void` | `flush()` Flush the response.
`void` | `init(SocketWrapper<NioChannel> socketWrapper, AbstractEndpoint endpoint)`
`void` | `recycle()` Recycle the output buffer.
`void` | `sendAck()` Send an acknowledgment.

Methods inherited from class org.apache.coyote.http11.AbstractOutputBuffer
`addActiveFilter, addFilter, doWrite, endHeaders, getBytesWritten, getFilters, nextRequest, reset, sendHeader, sendStatus, write, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalNioOutputBuffer

    public InternalNioOutputBuffer(Response response,
                                   int headerBufferSize)

  Default constructor.

Method Detail

### flush

    public void flush()
               throws IOException

  Flush the response.

  Overrides:
    `flush` in class `AbstractOutputBuffer<NioChannel>`
  Throws:
    `IOException` - an underlying I/O error occurred

### recycle

    public void recycle()

  Recycle the output buffer. This should be called when closing the connection.

  Overrides:
    `recycle` in class `AbstractOutputBuffer<NioChannel>`

### endRequest

    public void endRequest()
                    throws IOException

  End request.

  Overrides:
    `endRequest` in class `AbstractOutputBuffer<NioChannel>`
  Throws:
    `IOException` - an underlying I/O error occurred

### sendAck

    public void sendAck()
                 throws IOException

  Send an acknowledgment.

  Specified by:
    `sendAck` in class `AbstractOutputBuffer<NioChannel>`
  Throws:
    `IOException`

### init

    public void init(SocketWrapper<NioChannel> socketWrapper,
                     AbstractEndpoint endpoint)
              throws IOException

  Specified by:
    `init` in class `AbstractOutputBuffer<NioChannel>`
  Throws:
    `IOException`

### commit

    protected void commit()
                   throws IOException

  Commit the response.

  Specified by:
    `commit` in class `AbstractOutputBuffer<NioChannel>`
  Throws:
    `IOException` - an underlying I/O error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.